BriefJUnitResultFormatter (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.junit.BriefJUnitResultFormatter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class BriefJUnitResultFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.BriefJUnitResultFormatter

All Implemented Interfaces:
  JUnitResultFormatter, junit.framework.TestListener

public class BriefJUnitResultFormatter
extends java.lang.Object
implements JUnitResultFormatter

Prints plain text output of the test to a specified Writer. Inspired by the PlainJUnitResultFormatter.

Author:
  Robert Watkins
See Also:
  `FormatterElement`, `PlainJUnitResultFormatter`

Constructor Summary
`BriefJUnitResultFormatter()`

Method Summary
`void` | `addError(junit.framework.Test test, java.lang.Throwable error)` A test caused an error.
`void` | `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)` Interface TestListener for JUnit > 3.4.
`void` | `addFailure(junit.framework.Test test, java.lang.Throwable t)` Interface TestListener for JUnit <= 3.4.
`void` | `endTest(junit.framework.Test test)` A test ended.
`void` | `endTestSuite(JUnitTest suite)` The whole testsuite ended.
`protected void` | `formatError(java.lang.String type, junit.framework.Test test, java.lang.Throwable error)` Format an error and print it.
`protected java.lang.String` | `formatTest(junit.framework.Test test)` Format the test for printing..
`void` | `setOutput(java.io.OutputStream out)` Sets the stream the formatter is supposed to write its results to.
`void` | `setSystemError(java.lang.String err)` This is what the test has written to System.err
`void` | `setSystemOutput(java.lang.String out)` This is what the test has written to System.out
`void` | `startTest(junit.framework.Test test)` A test started.
`void` | `startTestSuite(JUnitTest suite)` The whole testsuite started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BriefJUnitResultFormatter

    public BriefJUnitResultFormatter()

Method Detail

### setOutput

    public void setOutput(java.io.OutputStream out)

  Sets the stream the formatter is supposed to write its results to.

  Specified by:
    `setOutput` in interface `JUnitResultFormatter`

### setSystemOutput

    public void setSystemOutput(java.lang.String out)

  Description copied from interface: `JUnitResultFormatter`
  This is what the test has written to System.out

  Specified by:
    `setSystemOutput` in interface `JUnitResultFormatter`

### setSystemError

    public void setSystemError(java.lang.String err)

  Description copied from interface: `JUnitResultFormatter`
  This is what the test has written to System.err

  Specified by:
    `setSystemError` in interface `JUnitResultFormatter`

### startTestSuite

    public void startTestSuite(JUnitTest suite)
                        throws BuildException

  The whole testsuite started.

  Specified by:
    `startTestSuite` in interface `JUnitResultFormatter`
  Throws:
    `BuildException`

### endTestSuite

    public void endTestSuite(JUnitTest suite)
                      throws BuildException

  The whole testsuite ended.

  Specified by:
    `endTestSuite` in interface `JUnitResultFormatter`
  Throws:
    `BuildException`

### startTest

    public void startTest(junit.framework.Test test)

  A test started.

  Specified by:
    `startTest` in interface `junit.framework.TestListener`

### endTest

    public void endTest(junit.framework.Test test)

  A test ended.

  Specified by:
    `endTest` in interface `junit.framework.TestListener`

### addFailure

    public void addFailure(junit.framework.Test test,
                           java.lang.Throwable t)

  Interface TestListener for JUnit <= 3.4.

  A Test failed.

### addFailure

    public void addFailure(junit.framework.Test test,
                           junit.framework.AssertionFailedError t)

  Interface TestListener for JUnit > 3.4.

  A Test failed.

  Specified by:
    `addFailure` in interface `junit.framework.TestListener`

### addError

    public void addError(junit.framework.Test test,
                         java.lang.Throwable error)

  A test caused an error.

  Specified by:
    `addError` in interface `junit.framework.TestListener`

### formatTest

    protected java.lang.String formatTest(junit.framework.Test test)

  Format the test for printing..

### formatError

    protected void formatError(java.lang.String type,
                               junit.framework.Test test,
                               java.lang.Throwable error)

  Format an error and print it.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.